//
//  RCTAppleHealthKit+NSUserDefaults.m
//  RCTAppleHealthKit
//
//  Created by rosswang on 2017/12/12.
//  Copyright © 2017年 Greg Wilson. All rights reserved.
//

#import "RCTAppleHealthKit+NSUserDefaults.h"
#import "RCTAppleHealthKit+Utils.h"

@implementation RCTAppleHealthKit (Methods_UserDefaults)

- (void)set_UserDefaultsByKey:(NSDictionary *)input callback:(RCTResponseSenderBlock)callback
{
    NSString *str = [input objectForKey:@"key"];
    NSData *newAnchor = [[NSUserDefaults standardUserDefaults] objectForKey:[@"New" stringByAppendingString:str]];
    [[NSUserDefaults standardUserDefaults] setObject:newAnchor forKey:[@"Old" stringByAppendingString:str]];
    NSDictionary *result = @{
                             @"status" : @(true)
                             };
    callback(@[[NSNull null], result]);
}

- (void)reset_UserDefaultsByKey:(NSDictionary *)input callback:(RCTResponseSenderBlock)callback
{
    NSString *str = [input objectForKey:@"key"];
    [[NSUserDefaults standardUserDefaults] setObject:HKAnchoredObjectQueryNoAnchor forKey:[@"Old" stringByAppendingString:str]];
    NSDictionary *result = @{
                             @"status" : @(true)
                             };
    callback(@[[NSNull null], result]);
}

@end
